package com.fdkankan.pay.paypal.sdk;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

public class PayPalmentEx implements Serializable {

    private static final long serialVersionUID = 5027458587257867876L;
    /**
     * 订单Id
     */
    private String orderSn;
    /**
     * 支付的总价
     */
    private BigDecimal orderTotal;
    /**
     * 商品总价
     */
    private BigDecimal subTotal;
    /**
     * 税费
     */
    private BigDecimal tax;
    /**
     * 描述
     */
    private String description;
    /**
     * 成功回调url
     */
    private String successUrl;
    /**
     * 支付失败url
     */
    private String failUrl;
    /**
     * 取消支付url
     */
    private String cancelUrl;
    /**
     * 收货地址
     */
    private PaypalOrderAddressEx paypayOrderAddressEx;
    /**
     * 订单商品明细
     */
    private List<PaypalOrderItemEx> paypalOrderItemExList;

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public BigDecimal getOrderTotal() {
        return orderTotal;
    }

    public void setOrderTotal(BigDecimal orderTotal) {
        this.orderTotal = orderTotal;
    }

    public BigDecimal getSubTotal() {
        return subTotal;
    }

    public void setSubTotal(BigDecimal subTotal) {
        this.subTotal = subTotal;
    }

    public BigDecimal getTax() {
        return tax;
    }

    public void setTax(BigDecimal tax) {
        this.tax = tax;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getSuccessUrl() {
        return successUrl;
    }

    public void setSuccessUrl(String successUrl) {
        this.successUrl = successUrl;
    }

    public String getFailUrl() {
        return failUrl;
    }

    public void setFailUrl(String failUrl) {
        this.failUrl = failUrl;
    }

    public String getCancelUrl() {
        return cancelUrl;
    }

    public void setCancelUrl(String cancelUrl) {
        this.cancelUrl = cancelUrl;
    }

    public PaypalOrderAddressEx getPaypayOrderAddressEx() {
        return paypayOrderAddressEx;
    }

    public void setPaypayOrderAddressEx(PaypalOrderAddressEx paypayOrderAddressEx) {
        this.paypayOrderAddressEx = paypayOrderAddressEx;
    }

    public List<PaypalOrderItemEx> getPaypalOrderItemExList() {
        return paypalOrderItemExList;
    }

    public void setPaypalOrderItemExList(List<PaypalOrderItemEx> paypalOrderItemExList) {
        this.paypalOrderItemExList = paypalOrderItemExList;
    }
}
